Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# AppStateManager.StateResult

implements Result

com.google.android.gms.appstate.AppStateManager.StateResult

## Class Overview

Result of an operation that could potentially generate a state conflict. Note that at most one of `getLoadedResult` or `getConflictResult` will ever return a non-null value. In the event of a `INTERRUPTED` status, both `getLoadedResult` and `getConflictResult` will return null.

## Summary

Public Methods
abstract AppStateManager.StateConflictResult | getConflictResult()
abstract AppStateManager.StateLoadedResult | getLoadedResult()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract AppStateManager.StateConflictResult getConflictResult ()

##### Returns

- The `AppStateManager.StateConflictResult` if the operation resulted in a conflict, or null otherwise.

#### public abstract AppStateManager.StateLoadedResult getLoadedResult ()

##### Returns

- The `AppStateManager.StateLoadedResult` if the operation did not result in a conflict, or null otherwise.